Bug 525540 - Review Request: mingw32-gtkhtml3 - MinGW Windows port of GtkHTML
Review Request: mingw32-gtkhtml3 - MinGW Windows port of GtkHTML
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-09-24 14:38 EDT by Erik van Pienbroek
Modified: 2009-12-21 23:58 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.29.3-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-21 23:46:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2009-09-24 14:38:44 EDT
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-gtkhtml.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-gtkhtml-3.28.0-1.fc12.src.rpm
GtkHTML is a lightweight HTML rendering/printing/editing engine

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1704677

Approved MinGW packaging guidelines are here:
Comment 1 Kalev Lember 2009-11-18 12:53:22 EST
Fedora review mingw32-gtkhtml-3.28.0-1.fc12.src.rpm 2009-11-18

+ OK
! needs attention

rpmlint says:
  mingw32-gtkhtml.src: W: spelling-error-in-summary en_US webbrowser
  mingw32-gtkhtml.noarch: W: spelling-error-in-summary en_US webbrowser
  mingw32-gtkhtml-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgtkhtml-editor.a
  mingw32-gtkhtml-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgtkhtml-3.14.a
  mingw32-gtkhtml-static.noarch: W: no-documentation
  mingw32-gtkhtml-debuginfo.noarch: W: spelling-error-in-summary en_US mingw
  mingw32-gtkhtml-debuginfo.noarch: W: spelling-error-in-description en_US mingw
  mingw32-gtkhtml-debuginfo.noarch: E: debuginfo-without-sources
  4 packages and 0 specfiles checked; 3 errors, 5 warnings.

! I guess rpmlint is right about 'webbrowser', but other errors are harmless and expected for mingw32 packages.

! The matching native package is named 'gtkhtml3', and I think this one should also be named mingw32-gtkhtml3 (with '3').
+ Package follows the Fedora MinGW packaging guidelines
+ The stated license (LGPLv2+) is a Fedora approved license
! The stated license differs from the native Fedora package (LGPLv2+ and GPLv2)
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. sha1sum:
  b0abcf98447acf385a108061bb7f80769bc18a0e  gtkhtml-3.28.0.tar.bz2
  b0abcf98447acf385a108061bb7f80769bc18a0e  Download/gtkhtml-3.28.0.tar.bz2
+ Package builds in koji
+ BuildRequires look sane
+ The spec file handles locales properly
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package contains code or permissible content
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
+ Static libraries are in mingw32-gtkhtml-static subpackage
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ Although ReviewGuidlines says that packages should not contain libtool .la files, MinGW guidelines allow them.
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames are valid UTF-8

While you are at it, can you also update the package to match the version of gtkhtml3 in F-12?

CC-ing native gtkhtml3 package maintainer in case he has any comments.
Comment 2 Kalev Lember 2009-12-10 16:22:21 EST
Waiting for your input, Erik.
Comment 3 Erik van Pienbroek 2009-12-11 07:24:02 EST
Sorry for the delay, I've been really busy lately..

* Fri Dec 11 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.29.3-1
- Update to 3.29.3
- Renamed 'webbrowser' in the summary to 'web browser' to keep rpmlint happy
- Fixed the license tag

Spec URL:  http://www.ftd4linux.nl/contrib/mingw32-gtkhtml3.spec
Spec SRPM: http://www.ftd4linux.nl/contrib/mingw32-gtkhtml3-3.29.3-1.fc12.src.rpm
Scratch build (F13): http://koji.fedoraproject.org/koji/taskinfo?taskID=1869444
Comment 4 Kalev Lember 2009-12-11 13:29:28 EST
I can see you've changed the package name to mingw32-gtkhtml3, so I'm updating the review request ticket's summary with the new name too.

The package looks good, except for two issues:

License tag
The first version of mingw32-gtkhtml had License: 'LGPLv2+',
however native gtkhtml3 package has 'LGPLv2+ and GPLv2'.
When I pointed out that the two license tags above differ, you updated the license in mingw32-gtkhtml3 to read 'GPLv2+'.

I went over the source files in gtkhtml-3.29.3, and they all appear to be LGPLv2+, so I think the native gtkhtml3 package has got the license tag wrong. The configure script (and other build scripts) are indeed licensed under GPLv2+ with exceptions, but they are not included in, and thus don't alter the final license of the resulting binary rpm package.

So I'd suggest to change the License tag back to LGPLv2+, sorry.

License files
The updated gtkhtml-3.29.3 source tarball has two license files, COPYING and COPYING.LIB. The former is a GPL license (I suppose that's just there for autoconf/libtool scripts), but COPYING.LIB is the actual LGPL license text which needs to be included in the rpm. Currently only COPYING is included.

Please add COPYING.LIB to %doc.
Comment 5 Erik van Pienbroek 2009-12-11 15:15:46 EST
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-gtkhtml3.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-gtkhtml3-3.29.3-2.fc12.src.rpm

* Fri Dec 11 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.29.3-2
- Looks like the original license tag was correct: LGPLv2+
- Bundle COPYING.LIB instead of COPYING
Comment 6 Kalev Lember 2009-12-11 15:24:58 EST
Looks good.

Comment 7 Erik van Pienbroek 2009-12-12 06:15:40 EST
Thanks for the review

New Package CVS Request
Package Name: mingw32-gtkhtml3
Short Description: MinGW Windows port of GtkHTML
Owners: epienbro
Branches: F-11 F-12
Comment 8 Kevin Fenzi 2009-12-14 12:43:27 EST
cvs done.
Comment 9 Fedora Update System 2009-12-18 05:01:35 EST
mingw32-gtkhtml3-3.29.3-2.fc11 has been submitted as an update for Fedora 11.
Comment 10 Fedora Update System 2009-12-18 05:02:23 EST
mingw32-gtkhtml3-3.29.3-2.fc12 has been submitted as an update for Fedora 12.
Comment 11 Fedora Update System 2009-12-21 23:46:00 EST
mingw32-gtkhtml3-3.29.3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-12-21 23:58:18 EST
mingw32-gtkhtml3-3.29.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.